# Uses of Class
ch.qos.logback.core.joran.spi.ActionException

Packages that use ActionException
Package
Description
ch.qos.logback.access.sift
ch.qos.logback.classic.joran.action
ch.qos.logback.classic.sift
ch.qos.logback.core.joran.action
ch.qos.logback.core.joran.conditional

## Uses of ActionException in ch.qos.logback.access.sift

Methods in ch.qos.logback.access.sift that throw ActionException
Modifier and Type
Method
Description
`void`
SiftAction.`begin(InterpretationContext ic, String name, Attributes attributes)`
`void`
SiftAction.`end(InterpretationContext ic, String name)`

## Uses of ActionException in ch.qos.logback.classic.joran.action

Methods in ch.qos.logback.classic.joran.action that throw ActionException
Modifier and Type
Method
Description
`void`
ConsolePluginAction.`begin(InterpretationContext ec, String name, Attributes attributes)`
`void`
JMXConfiguratorAction.`begin(InterpretationContext ec, String name, Attributes attributes)`
`void`
LoggerContextListenerAction.`begin(InterpretationContext ec, String name, Attributes attributes)`
`void`
ReceiverAction.`begin(InterpretationContext ic, String name, Attributes attributes)`
`void`
ConsolePluginAction.`end(InterpretationContext ec, String name)`
`void`
JMXConfiguratorAction.`end(InterpretationContext ec, String name)`
`void`
LoggerContextListenerAction.`end(InterpretationContext ec, String name)`
`void`
ReceiverAction.`end(InterpretationContext ic, String name)`

## Uses of ActionException in ch.qos.logback.classic.sift

Methods in ch.qos.logback.classic.sift that throw ActionException
Modifier and Type
Method
Description
`void`
SiftAction.`begin(InterpretationContext ic, String name, Attributes attributes)`
`void`
SiftAction.`end(InterpretationContext ic, String name)`

## Uses of ActionException in ch.qos.logback.core.joran.action

Methods in ch.qos.logback.core.joran.action that throw ActionException
Modifier and Type
Method
Description
`abstract void`
Action.`begin(InterpretationContext ic, String name, Attributes attributes)`
Called when the parser encounters an element matching a `Pattern`.
`void`
AppenderAction.`begin(InterpretationContext ec, String localName, Attributes attributes)`
Instantiates an appender of the given class and sets its name.
`void`
ContextPropertyAction.`begin(InterpretationContext ec, String name, Attributes attributes)`
`void`
DefinePropertyAction.`begin(InterpretationContext ec, String localName, Attributes attributes)`
`void`
IncludeAction.`begin(InterpretationContext ec, String name, Attributes attributes)`
`void`
ShutdownHookAction.`begin(InterpretationContext ic, String name, Attributes attributes)`
Instantiates a shutdown hook of the given class and sets its name.
`void`
StatusListenerAction.`begin(InterpretationContext ec, String name, Attributes attributes)`
`void`
TimestampAction.`begin(InterpretationContext ec, String name, Attributes attributes)`
`void`
Action.`body(InterpretationContext ic, String body)`
Called to pass the body (as text) contained within an element.
`abstract void`
Action.`end(InterpretationContext ic, String name)`
`void`
ContextPropertyAction.`end(InterpretationContext ec, String name)`
`void`
IncludeAction.`end(InterpretationContext ec, String name)`
`void`
ShutdownHookAction.`end(InterpretationContext ic, String name)`
Once the children elements are also parsed, now is the time to activate the shutdown hook options.
`void`
TimestampAction.`end(InterpretationContext ec, String name)`

## Uses of ActionException in ch.qos.logback.core.joran.conditional

Methods in ch.qos.logback.core.joran.conditional that throw ActionException
Modifier and Type
Method
Description
`void`
IfAction.`begin(InterpretationContext ic, String name, Attributes attributes)`
`void`
ThenOrElseActionBase.`begin(InterpretationContext ic, String name, Attributes attributes)`
`void`
IfAction.`end(InterpretationContext ic, String name)`
`void`
ThenOrElseActionBase.`end(InterpretationContext ic, String name)`